Table of contents
-----------------

* Introduction
* Features
* Requirements
* Notes


Introduction
------------

The **Schema.org Blueprint Demo Standard Admin module** provides admin UI
enhancements for the Schema.org Blueprints demo built on top of Drupal's
standard profile and the Gin admin theme.


Features
--------

Gin admin theme

- Enables the Gin admin theme.
- Enables the Gin related modules.
- Configures the Gin admin theme.
- Uninstalls unused themes.

CSS/JS

- Attaches CSS and JavaScript, that fixes minor UI issues with minor
  UX enhancements.
- Add custom toolbar icons.

User login

- Redirects anonymous users to /user/login.
- Displays a welcome message via JavaScript.
- Sets user name and password to demo/demo.

Node edit

- Appends 'Browse available tokens' link.
- Close the 'URL alias' details widget in the sidebar.
- Hides 'Promoted to front page' and 'Sticky at top of lists' which are never
  used and simplifies the demo.
- Allows the state of details widget to be tracked.

Contrib

- **Environment Indicator:** Tweak the Environment Indicator module's toolbar weights.
- **Entity Print:** Styles entity print links as buttons.
- **Layout Paragraphs:** Add Slick carousel to galleries.
- **Token:** For token filter tips to include node and paragraph tokens.
- **Office Hours:** Improve widget UI.
- **Meta Tags** Limits meta tags and robots directives.


Requirements
------------

**[Gin](https://www.drupal.org/project/gin)**  
Admin theme with a strong focus on improving the Editorial Experience

**[Slick](http://kenwheeler.github.io/slick/)**  
The last carousel you'll ever need


Notes
-----

The **Schema.org Blueprint Demo Standard Admin module** isolates
admin theme-related tweaks to make it easier for developers and site builders
to disable or copy tweaks into their projects.
