/* eslint-disable strict */

/**
 * @file
 * Schema.org demo standard behaviors.
 */

"use strict";

((drupalSettings) => {
  // Redirect anonymous users to /user/login.
  // Using JavaScript so that Acquia's Cloud IDE's 'share' query parameter
  // generates the 'share' cookie as expected.
  if (drupalSettings.user.uid === 0 &&
    drupalSettings.path.currentPath !== 'user/login') {
    window.location = `${drupalSettings.path.baseUrl}user/login?destination=${drupalSettings.path.currentPath}`;
  }

  if (drupalSettings.path.currentPath === 'user/login') {
    window.addEventListener('load', () => {
      // Clear local storage to reset the state of all details widget for demos.
      // @see schemadotorg/js/schemadotorg.details.js
      localStorage.clear();

      // Display welcome message.
      const messages = new Drupal.Message();
      messages.add(Drupal.t('Please log in to the Schema.org Blueprints Demo website.'), {type: 'status'});
    });
  }
})(drupalSettings);
